LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07025Development [All Projects] Survey takingpublic2012-12-05 14:072012-12-13 13:38
ReporterDenisChenu 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusresolvedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.1 
Summary07025: "Resume later" in Token/Enable token-based response persistence don't have to show in forms
DescriptionIt's already patched in 1.92.

But if you have a survey
- Not anonymous
- Token persistence activated

Then when you click on "Resume later", the survey have just to be submited without forms.

With 2.0, a form was show for save answers an new response table was created
Steps To ReproduceImport include lsa files, activate, test with token TEST
TagsNo tags attached.
Attached Files? file icon survey_archive_759863.lsa [^] (3,699 bytes) 2012-12-05 14:07
? file icon limesurvey_survey_759863.lss [^] (14,288 bytes) 2012-12-05 14:07

- Relationships

-  Notes
User avatar (23016)
DenisChenu (developer)
2012-12-07 10:57

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10781 [^]
User avatar (23018)
DenisChenu (developer)
2012-12-07 11:22

Close for 2.0
Waiting for 2.1
User avatar (23214)
DenisChenu (developer)
2012-12-13 13:32

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10911 [^]

- Related Changesets
LimeSurvey: master 91333e33
Timestamp: 2012-12-07 09:55:01
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07025: "Resume later" in Token/Enable token-based response persistence don't have to show in forms
Dev: still unaccessible without javascript / just take the code from 1.92
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
mod - application/helpers/replacements_helper.php Diff ] File ]
LimeSurvey: 2.1 059d3a6d
Timestamp: 2012-12-13 12:30:27
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07025: "Resume later" in Token/Enable token-based response persistence don't have to show in forms
Fixed issue 07020: "Show question index / allow jumping" with "Allow editing responses after completion" are incomplete
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-05 14:07 DenisChenu New Issue
2012-12-05 14:07 DenisChenu File Added: survey_archive_759863.lsa
2012-12-05 14:07 DenisChenu File Added: limesurvey_survey_759863.lss
2012-12-06 11:22 c_schmitz Assigned To => c_schmitz
2012-12-06 11:22 c_schmitz Status new => assigned
2012-12-07 09:40 c_schmitz Assigned To c_schmitz => DenisChenu
2012-12-07 10:57 DenisChenu Changeset attached => LimeSurvey master 91333e33
2012-12-07 10:57 DenisChenu Note Added: 23016
2012-12-07 10:57 DenisChenu Resolution open => fixed
2012-12-07 11:22 DenisChenu Product Version 2.00+ => 2.10
2012-12-07 11:22 DenisChenu Note Added: 23018
2012-12-07 11:23 DenisChenu Project Bug reports => Development
2012-12-13 13:32 DenisChenu Changeset attached => LimeSurvey 2.1 059d3a6d
2012-12-13 13:32 DenisChenu Note Added: 23214
2012-12-13 13:38 DenisChenu Status assigned => resolved
2012-12-13 13:38 DenisChenu Fixed in Version => 2.1


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker